GDB (xrefs)

Functions | Variables
s390x-vx-linux64.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "target-descriptions.h"`

Go to the source code of this file.

## Functions
static void | initialize_tdesc_s390x_vx_linux64 (void)

## Variables
struct target_desc * | tdesc_s390x_vx_linux64

## Function Documentation

## ◆ initialize_tdesc_s390x_vx_linux64()

static void initialize_tdesc_s390x_vx_linux64 | ( | void |  | ) |
| static

Definition at line 10 of file s390x-vx-linux64.c.

References allocate_target_description(), set_tdesc_architecture(), tdesc_add_field(), tdesc_create_feature(), tdesc_create_reg(), tdesc_create_union(), tdesc_create_vector(), tdesc_named_type(), and tdesc_s390x_vx_linux64.

Referenced by _initialize_s390_tdep().

## Variable Documentation

## ◆ tdesc_s390x_vx_linux64

struct target_desc* tdesc_s390x_vx_linux64

Definition at line 8 of file s390x-vx-linux64.c.

Referenced by initialize_tdesc_s390x_vx_linux64(), s390_core_read_description(), and s390_read_description().